GCLOUD_AUTH_REVOKE(1)

NAME

gcloud auth revoke - revoke access credentials for an account

SYNOPSIS

gcloud auth revoke [ACCOUNTS ...] [--all] [GCLOUD_WIDE_FLAG ...]

DESCRIPTION
Revokes credentials for the specified user accounts or service accounts. When you revoke the credentials, they are removed from the local machine. If no account is specified, this command revokes credentials for the currently active account. You can revoke credentials when you want to disallow access by gcloud and other Cloud SDK tools using a specified account. You don't need to revoke credentials to switch between accounts.

POSITIONAL ARGUMENTS

    [ACCOUNTS ...]
        Accounts whose credentials are to be revoked.

FLAGS

    --all
        Revoke credentials for all accounts.

GCLOUD WIDE FLAGS
These flags are available to all commands: --account, --configuration, --flatten, --format, --help, --log-http, --project, --quiet, --trace-token, --user-output-enabled, --verbosity. Run $ gcloud help for details.